Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.zip
Interface Checksum

All Known Implementing Classes:
  Adler32, CRC32

public interface Checksum

An interface representing a data checksum.

Method Summary
`long` | `getValue()` Returns the current checksum value.
`void` | `reset()` Resets the checksum to its initial value.
`void` | `update(byte[] b, int off, int len)` Updates the current checksum with the specified array of bytes.
`void` | `update(int b)` Updates the current checksum with the specified byte.

Method Detail

### update

    public void update(int b)

  Updates the current checksum with the specified byte.

  Parameters:
    `b` - the byte to update the checksum with

### update

    public void update(byte[] b,
                       int off,
                       int len)

  Updates the current checksum with the specified array of bytes.

  Parameters:
    `b` - the byte array to update the checksum with
    `off` - the start offset of the data
    `len` - the number of bytes to use for the update

### getValue

    public long getValue()

  Returns the current checksum value.

  Returns:
    the current checksum value

### reset

    public void reset()

  Resets the checksum to its initial value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.